package com.steering.model.qcm;

/**
 * 数据库表QCM_PHY_ENTRUST所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2017-12-19
 */
@SuppressWarnings("serial")
public class SteerPhyDbBaseInfoEntity implements java.io.Serializable {
    /**
     * ID
     */
    private String id = "";
    /**
     * 炉号            电炉炉号
     */
    private String heatNo = "";
    /**
     * 转换炉号   判定炉号
     */
    private String changeHeatNo = "";
    /**
     * 分切数
     */
    private String heatNum = "";
    /**
     * 钢号
     */
    private String steelNo = "";
    /**
     * 来源，1炼钢，2炼钢，3炼钢，4外购
     */
    private String sampleSource = "";
    /**
     * 连铸来源
     */
    private String dbSource = "";
    /**
     * 试验类型......属于铸坯还是锻坯(0铸坯，1锻坯)
     */
    private String sampleType = "";
    /**
     * 技术标准(生产标准)
     */
    private String productStd = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 合同行号 合同号/合同行号
     */
    private String orderNoSeq = "";
    /**
     * 品名
     */
    private String producname = "";
    /**
     * 客户编码
     */
    private String customerNo = "";
    /**
     * 客户名称
     */
    private String customerNm = "";
    /**
     * 规格
     */
    private String sampleSize = "";
    /**
     * 计划日期
     */
    private String planTime = "";
    /**
     * 化验员(录入人)
     */
    private String checkName = "";
    /**
     * 化验时间(录入时间)
     */
    private String checkTime = "";
    /**
     * 试验班次
     */
    private String checkShift = "";
    /**
     * 化验班组
     */
    private String checkClass = "";
    /**
     * 环境温度
     */
    private String checkTemp = "";
    /**
     * 设备编码
     */
    private String deviceNo = "";
    /**
     * 设备名称
     */
    private String deviceName = "";
    /**
     * 审核人
     */
    private String auditName = "";
    /**
     * 审核时间
     */
    private String auditTime = "";
    /**
     * 0初始，1录入，2审核
     */
    private String flag = "";
    /**
     * 传输标志 0产销未取，1产销已取
     */
    private String cxFlag = "";
    /**
     * 备注
     */
    private String remark = "";

    /**
     * ID
     * @return value
     */
    public String getId() {
        return id;
    }

    /**
     * ID
     * @param id value
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 炉号            电炉炉号
     * @return value
     */
    public String getHeatNo() {
        return heatNo;
    }

    /**
     * 炉号            电炉炉号
     * @param heatNo value
     */
    public void setHeatNo(String heatNo) {
        this.heatNo = heatNo;
    }

    /**
     * 转换炉号   判定炉号
     * @return value
     */
    public String getChangeHeatNo() {
        return changeHeatNo;
    }

    /**
     * 转换炉号   判定炉号
     * @param changeHeatNo value
     */
    public void setChangeHeatNo(String changeHeatNo) {
        this.changeHeatNo = changeHeatNo;
    }

    /**
     * 分切数
     * @return value
     */
    public String getHeatNum() {
        return heatNum;
    }

    /**
     * 分切数
     * @param heatNum value
     */
    public void setHeatNum(String heatNum) {
        this.heatNum = heatNum;
    }

    /**
     * 钢号
     * @return value
     */
    public String getSteelNo() {
        return steelNo;
    }

    /**
     * 钢号
     * @param steelNo value
     */
    public void setSteelNo(String steelNo) {
        this.steelNo = steelNo;
    }

    /**
     * 来源，1炼钢，2炼钢，3炼钢，4外购
     * @return value
     */
    public String getSampleSource() {
        return sampleSource;
    }

    /**
     * 来源，1炼钢，2炼钢，3炼钢，4外购
     * @param sampleSource value
     */
    public void setSampleSource(String sampleSource) {
        this.sampleSource = sampleSource;
    }

    /**
     * 连铸来源
     * @return value
     */
    public String getDbSource() {
        return dbSource;
    }

    /**
     * 连铸来源
     * @param dbSource value
     */
    public void setDbSource(String dbSource) {
        this.dbSource = dbSource;
    }

    /**
     * 试验类型......属于铸坯还是锻坯(0铸坯，1锻坯)
     * @return value
     */
    public String getSampleType() {
        return sampleType;
    }

    /**
     * 试验类型......属于铸坯还是锻坯(0铸坯，1锻坯)
     * @param sampleType value
     */
    public void setSampleType(String sampleType) {
        this.sampleType = sampleType;
    }

    /**
     * 技术标准(生产标准)
     * @return value
     */
    public String getProductStd() {
        return productStd;
    }

    /**
     * 技术标准(生产标准)
     * @param productStd value
     */
    public void setProductStd(String productStd) {
        this.productStd = productStd;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 合同行号 合同号/合同行号
     * @return value
     */
    public String getOrderNoSeq() {
        return orderNoSeq;
    }

    /**
     * 合同行号 合同号/合同行号
     * @param orderNoSeq value
     */
    public void setOrderNoSeq(String orderNoSeq) {
        this.orderNoSeq = orderNoSeq;
    }

    /**
     * 品名
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 客户编码
     * @return value
     */
    public String getCustomerNo() {
        return customerNo;
    }

    /**
     * 客户编码
     * @param customerNo value
     */
    public void setCustomerNo(String customerNo) {
        this.customerNo = customerNo;
    }

    /**
     * 客户名称
     * @return value
     */
    public String getCustomerNm() {
        return customerNm;
    }

    /**
     * 客户名称
     * @param customerNm value
     */
    public void setCustomerNm(String customerNm) {
        this.customerNm = customerNm;
    }

    /**
     * 规格
     * @return value
     */
    public String getSampleSize() {
        return sampleSize;
    }

    /**
     * 规格
     * @param sampleSize value
     */
    public void setSampleSize(String sampleSize) {
        this.sampleSize = sampleSize;
    }

    /**
     * 计划日期
     * @return value
     */
    public String getPlanTime() {
        return planTime;
    }

    /**
     * 计划日期
     * @param planTime value
     */
    public void setPlanTime(String planTime) {
        this.planTime = planTime;
    }

    /**
     * 化验员(录入人)
     * @return value
     */
    public String getCheckName() {
        return checkName;
    }

    /**
     * 化验员(录入人)
     * @param checkName value
     */
    public void setCheckName(String checkName) {
        this.checkName = checkName;
    }

    /**
     * 化验时间(录入时间)
     * @return value
     */
    public String getCheckTime() {
        return checkTime;
    }

    /**
     * 化验时间(录入时间)
     * @param checkTime value
     */
    public void setCheckTime(String checkTime) {
        this.checkTime = checkTime;
    }

    /**
     * 试验班次
     * @return value
     */
    public String getCheckShift() {
        return checkShift;
    }

    /**
     * 试验班次
     * @param checkShift value
     */
    public void setCheckShift(String checkShift) {
        this.checkShift = checkShift;
    }

    /**
     * 化验班组
     * @return value
     */
    public String getCheckClass() {
        return checkClass;
    }

    /**
     * 化验班组
     * @param checkClass value
     */
    public void setCheckClass(String checkClass) {
        this.checkClass = checkClass;
    }

    /**
     * 环境温度
     * @return value
     */
    public String getCheckTemp() {
        return checkTemp;
    }

    /**
     * 环境温度
     * @param checkTemp value
     */
    public void setCheckTemp(String checkTemp) {
        this.checkTemp = checkTemp;
    }

    /**
     * 设备编码
     * @return value
     */
    public String getDeviceNo() {
        return deviceNo;
    }

    /**
     * 设备编码
     * @param deviceNo value
     */
    public void setDeviceNo(String deviceNo) {
        this.deviceNo = deviceNo;
    }

    /**
     * 设备名称
     * @return value
     */
    public String getDeviceName() {
        return deviceName;
    }

    /**
     * 设备名称
     * @param deviceName value
     */
    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    /**
     * 审核人
     * @return value
     */
    public String getAuditName() {
        return auditName;
    }

    /**
     * 审核人
     * @param auditName value
     */
    public void setAuditName(String auditName) {
        this.auditName = auditName;
    }

    /**
     * 审核时间
     * @return value
     */
    public String getAuditTime() {
        return auditTime;
    }

    /**
     * 审核时间
     * @param auditTime value
     */
    public void setAuditTime(String auditTime) {
        this.auditTime = auditTime;
    }

    /**
     * 0初始，1录入，2审核
     * @return value
     */
    public String getFlag() {
        return flag;
    }

    /**
     * 0初始，1录入，2审核
     * @param flag value
     */
    public void setFlag(String flag) {
        this.flag = flag;
    }

    /**
     * 传输标志 0产销未取，1产销已取
     * @return value
     */
    public String getCxFlag() {
        return cxFlag;
    }

    /**
     * 传输标志 0产销未取，1产销已取
     * @param cxFlag value
     */
    public void setCxFlag(String cxFlag) {
        this.cxFlag = cxFlag;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }
}
